## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           kirc
Version:        0.3.1
Release:        %autorelease
Summary:        Tiny IRC client written in POSIX C99

License:        MIT
URL:            https://github.com/mcpcpc/kirc
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make

%description
kirc ("KISS for IRC") is a tiny open-source Internet Relay Chat (IRC) client
designed with usability and cross-platform compatibility in mind.

%prep
%autosetup

%build
%set_build_flags
%make_build

%install
%make_install PREFIX="%{_prefix}"

%files
%license LICENSE
%doc README
%{_bindir}/kirc
%{_mandir}/man1/kirc.1*

%changelog
* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jul 11 2022 Davide Cavalca <dcavalca@fedoraproject.org> 0.3.1-1
- Update to 0.3.1; Fixes: RHBZ#2043587

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Aug 04 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.2.9-1
- Update to 0.2.9; Fixes: RHBZ#1983137

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 08 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.2.7-1
- Update to 0.2.7

* Wed Apr 07 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.2.6-1
- Update to 0.2.6

* Fri Mar 19 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.2.5-1
- New upstream release
- Update build requires

* Fri Mar  5 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.2.4-1
- New upstream release

* Mon Jan 25 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.2.3-2
- Update tarball URL
- Use set_build_flags macro
- Do not assume man pages will be gzipped

* Sun Jan 24 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.2.3-1
- Initial package

